org.apache.olingo.odata2.jpa.processor.ref.model

## Class Customer

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.ref.model.CustomerBase
  - - org.apache.olingo.odata2.jpa.processor.ref.model.Customer

-     @Entity
      public class Customer
      extends CustomerBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Customer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Address` | `getAddress()`
    `Timestamp` | `getCreatedAt()`
    `Long` | `getId()`
    `Importance` | `getImportance()`
    `String` | `getName()`
    `List<SalesOrderHeader>` | `getOrders()`
    `Customer` | `getParent()`
    `void` | `setAddress(Address address)`
    `void` | `setCreatedAt(Timestamp createdAt)`
    `void` | `setId(Long id)`
    `void` | `setImportance(Importance importance)`
    `void` | `setName(String name)`
    `void` | `setOrders(List<SalesOrderHeader> orders)`
    `void` | `setParent(Customer parent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Customer

          public Customer()

  - ### Method Detail

    - #### getOrders

          public List<SalesOrderHeader> getOrders()

      Overrides:
        `getOrders` in class `CustomerBase`

    - #### setOrders

          public void setOrders(List<SalesOrderHeader> orders)

      Overrides:
        `setOrders` in class `CustomerBase`

    - #### getId

          public Long getId()

    - #### setId

          public void setId(Long id)

    - #### getParent

          public Customer getParent()

    - #### setParent

          public void setParent(Customer parent)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getImportance

          public Importance getImportance()

    - #### setImportance

          public void setImportance(Importance importance)

    - #### getAddress

          public Address getAddress()

    - #### setAddress

          public void setAddress(Address address)

    - #### getCreatedAt

          public Timestamp getCreatedAt()

    - #### setCreatedAt

          public void setCreatedAt(Timestamp createdAt)

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.